org.apache.storm.hdfs.trident.rotation

## Class TimedRotationPolicy

- java.lang.Object
- - org.apache.storm.hdfs.trident.rotation.TimedRotationPolicy

- All Implemented Interfaces:
    Serializable, FileRotationPolicy

      public class TimedRotationPolicy
      extends Object
      implements FileRotationPolicy

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimedRotationPolicy.TimeUnit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimedRotationPolicy(float count, TimedRotationPolicy.TimeUnit units)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getInterval()`
    `boolean` | `mark(long offset)` Check if a file rotation should be performed based on the offset at which file is being written.
    `boolean` | `mark(TridentTuple tuple, long offset)` Called for every tuple the HdfsBolt executes.
    `void` | `reset()` Called after the HdfsBolt rotates a file.
    `void` | `start()` Start the timer to run at fixed intervals.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimedRotationPolicy

          public TimedRotationPolicy(float count,
                                     TimedRotationPolicy.TimeUnit units)

  - ### Method Detail

    - #### mark

          public boolean mark(TridentTuple tuple,
                              long offset)

      Called for every tuple the HdfsBolt executes.

      Specified by:
        `mark` in interface `FileRotationPolicy`
      Parameters:
        `tuple` - The tuple executed.
        `offset` - current offset of file being written
      Returns:
        true if a file rotation should be performed

    - #### mark

          public boolean mark(long offset)

      Description copied from interface: `FileRotationPolicy`

      Check if a file rotation should be performed based on the offset at which file is being written.

      Specified by:
        `mark` in interface `FileRotationPolicy`
      Parameters:
        `offset` - the current offset of file being written
      Returns:
        true if a file rotation should be performed.

    - #### reset

          public void reset()

      Called after the HdfsBolt rotates a file.

      Specified by:
        `reset` in interface `FileRotationPolicy`

    - #### getInterval

          public long getInterval()

    - #### start

          public void start()

      Start the timer to run at fixed intervals.

      Specified by:
        `start` in interface `FileRotationPolicy`

Copyright © 2021 The Apache Software Foundation. All rights reserved.